API

Print News Search Direct API

The AI-powered Print Media Monitor provides 360° Global Media Data & Intelligence on Newspapers, magazines, trade publications, and print journalism outlets.

API संदर्भ संस्करण: 1.0.0 4 एंडपॉइंट प्रमाणीकरण
Print Media Monitor

बेस URL

https://pressmonitor.com/api

प्रमाणीकरण

सभी अनुरोधों के लिए x-api-key और x-subscription-id हेडर आवश्यक हैं। x-api-key आपके खाते को प्रमाणित करता है; x-subscription-id सब्सक्राइब किए गए सेवा को चुनता है।

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Headlines

पैरामीटर

नाम प्रकार स्थान आवश्यक विवरण
keywords_text string query हां Keywords text parameter
lang_code string query नहीं Lang code parameter
country_code string query नहीं Country code parameter
count integer query नहीं Count parameter
cursor string query नहीं Cursor parameter
sort string query नहीं Sort order (date or relevance)
date_from string query नहीं Start date for news (YYYY-MM-DD format)
date_to string query नहीं End date for news (YYYY-MM-DD format)

कोड उदाहरण

curl -X GET \
  "https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

प्रतिक्रियाएं

200 Success
GET /briefs

Briefs

पैरामीटर

नाम प्रकार स्थान आवश्यक विवरण
keywords_text string query हां Keywords text parameter
lang_code string query नहीं Lang code parameter
country_code string query नहीं Country code parameter
count integer query नहीं Count parameter
cursor string query नहीं Cursor parameter
sort string query नहीं Sort order (date or relevance)
date_from string query नहीं Start date for news (YYYY-MM-DD format)
date_to string query नहीं End date for news (YYYY-MM-DD format)

कोड उदाहरण

curl -X GET \
  "https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

प्रतिक्रियाएं

200 Success
GET /fulltext

Fulltext

पैरामीटर

नाम प्रकार स्थान आवश्यक विवरण
keywords_text string query हां Keywords text parameter
lang_code string query नहीं Lang code parameter
country_code string query नहीं Country code parameter
count integer query नहीं Count parameter
cursor string query नहीं Cursor parameter
sort string query नहीं Sort order (date or relevance)
date_from string query नहीं Start date for news (YYYY-MM-DD format)
date_to string query नहीं End date for news (YYYY-MM-DD format)

कोड उदाहरण

curl -X GET \
  "https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

प्रतिक्रियाएं

200 Success
GET /clip

Clip

पैरामीटर

नाम प्रकार स्थान आवश्यक विवरण
id string query हां Clip/article ID to resolve
ns string query हां Namespace prefix for multi-tenant index resolution
date string query हां Date of the clip (YYYY-MM-DD)
host string query नहीं Host name for tenant resolution
ttl integer query नहीं Signed URL time-to-live in seconds

कोड उदाहरण

curl -X GET \
  "https://pressmonitor.com/api/clip?id=VALUE&ns=VALUE&date=VALUE&host=VALUE&ttl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

प्रतिक्रियाएं

200 Success